package tutorial.rest.resources;


import org.springframework.hateoas.ResourceSupport;
import tutorial.core.models.entities.EmailDomain;

/**
 * 
 * @author Xavier
 */
public class EmailDomainResource extends ResourceSupport {
    private String emailDomainText;

    public String getEmailDomainText() {
        return emailDomainText;
    }

    public void setEmailDomainText(String emailDomainText) {
        this.emailDomainText = emailDomainText;
    }

    public EmailDomain toEmailDomain() {
        EmailDomain newEmailDomain = new EmailDomain();
        newEmailDomain.setEmailDomainText(emailDomainText);
        return newEmailDomain;
    }
}